Importapay
Api reference

Dynamic account expired

EVENTwebhook

Sent once when no valid payment is recorded before expiry. Return any 2xx response to acknowledge.

Request

Parameters

Prop

Type

Request body (required)

Prop

Type

{  "eventId": "string",  "event": "virtual_account.expired",  "createdAt": "string",  "data": {    "dynamicAccountId": "string",    "accountNumber": "string",    "accountName": "string",    "bankName": "string",    "currency": "NGN",    "expectedAmount": 0,    "status": "paid",    "expiresAt": "string",    "paidAt": "string",    "providerTransactionId": "string",    "providerTransactionAt": "string"  }}

Responses

200 Event acknowledged